发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:47:15

[原文]Buffer overflow in Midnight Commander (mc) 4.5.55 and earlier may allow attackers to execute arbitrary code.

[CNNVD]Midnight Commander Insert_Text缓冲区溢出漏洞(CNNVD-200505-767)

        Midnight Commander是一款强大的GNU/LINUX系统的文件管理器。
        Midnight Commander中存在缓冲区溢出漏洞,起因是对insert_text()函数所提供的外部数据执行了不充分的边界检查。本地攻击者可能利用这个漏洞以其他用户的身份执行任意代码。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源

- 漏洞信息

Midnight Commander Insert_Text缓冲区溢出漏洞
中危 缓冲区溢出
2005-05-02 00:00:00 2005-10-20 00:00:00
        Midnight Commander是一款强大的GNU/LINUX系统的文件管理器。
        Midnight Commander中存在缓冲区溢出漏洞,起因是对insert_text()函数所提供的外部数据执行了不充分的边界检查。本地攻击者可能利用这个漏洞以其他用户的身份执行任意代码。

- 公告与补丁

        Midnight Commander Midnight Commander 4.5.54
        TurboLinux mc-4.5.54-8.i586.rpm ates/RPMS/mc-4.5.54-8.i586.rpm
        TurboLinux mc-4.5.54-8.i586.rpm ates/RPMS/mc-4.5.54-8.i586.rpm
        TurboLinux mc-4.5.54-8.i586.rpm 7/updates/RPMS/mc-4.5.54-8.i586.rpm
        TurboLinux mc-4.5.54-8.i586.rpm 8/updates/RPMS/mc-4.5.54-8.i586.rpm
        Midnight Commander Midnight Commander 4.5.55
        Debian gmc_4.5.55-1.2woody6_alpha.deb
        Debian GNU/Linux 3.0 alias woody _alpha.deb
        Debian gmc_4.5.55-1.2woody6_arm.deb
        Debian GNU/Linux 3.0 alias woody _arm.deb
        Debian gmc_4.5.55-1.2woody6_hppa.deb
        Debian GNU/Linux 3.0 alias woody _hppa.deb
        Debian gmc_4.5.55-1.2woody6_i386.deb
        Debian GNU/Linux 3.0 alias woody _i386.deb
        Debian gmc_4.5.55-1.2woody6_ia64.deb
        Debian GNU/Linux 3.0 alias woody _ia64.deb
        Debian gmc_4.5.55-1.2woody6_m68k.deb
        Debian GNU/Linux 3.0 alias woody _m68k.deb
        Debian gmc_4.5.55-1.2woody6_mips.deb
        Debian GNU/Linux 3.0 alias woody _mips.deb
        Debian gmc_4.5.55-1.2woody6_mipsel.deb
        Debian GNU/Linux 3.0 alias woody _mipsel.deb
        Debian gmc_4.5.55-1.2woody6_powerpc.deb
        Debian GNU/Linux 3.0 alias woody _powerpc.deb
        Debian gmc_4.5.55-1.2woody6_s390.deb
        Debian GNU/Linux 3.0 alias woody _s390.deb
        Debian gmc_4.5.55-1.2woody6_sparc.deb
        Debian GNU/Linux 3.0 alias woody _sparc.deb
        Debian mc-common_4.5.55-1.2woody6_alpha.deb
        Debian GNU/Linux 3.0 alias woody woody6_alpha.deb
        Debian mc-common_4.5.55-1.2woody6_arm.deb
        Debian GNU/Linux 3.0 alias woody woody6_arm.deb
        Debian mc-common_4.5.55-1.2woody6_hppa.deb
        Debian GNU/Linux 3.0 alias woody woody6_hppa.deb
        Debian mc-common_4.5.55-1.2woody6_i386.deb
        Debian GNU/Linux 3.0 alias woody woody6_i386.deb
        Debian mc-common_4.5.55-1.2woody6_ia64.deb
        Debian GNU/Linux 3.0 alias woody woody6_ia64.deb
        Debian mc-common_4.5.55-1.2woody6_m68k.deb
        Debian GNU/Linux 3.0 alias woody woody6_m68k.deb
        Debian mc-common_4.5.55-1.2woody6_mips.deb
        Debian GNU/Linux 3.0 alias woody woody6_mips.deb
        Debian mc-common_4.5.55-1.2woody6_mipsel.deb
        Debian GNU/Linux 3.0 alias woody woody6_mipsel.deb
        Debian mc-common_4.5.55-1.2woody6_powerpc.deb
        Debian GNU/Linux 3.0 alias woody woody6_powerpc.deb
        Debian mc-common_4.5.55-1.2woody6_s390.deb
        Debian GNU/Linux 3.0 alias woody woody6_s390.deb

- 漏洞信息 (F36879)

dsa-698.txt (PacketStormID:F36879)
2005-03-30 00:00:00

Debian Security Advisory 698-1 - An unfixed buffer overflow has been discovered by Andrew V. Samoilov in mc, the midnight commander, a file browser and manager. This update also fixes a regression from DSA 497.

Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 698-1                                        Martin Schulze
March 29th, 2005              
- --------------------------------------------------------------------------

Package        : mc
Vulnerability  : buffer overflow
Problem-Type   : local
Debian-specific: no
CVE ID         : CAN-2005-0763

An unfixed buffer overflow has been discovered by Andrew V. Samoilov
in mc, the midnight commander, a file browser and manager.  This update
also fixes a regression from DSA 497.

For the stable distribution (woody) this problem has been fixed in
version 4.5.55-1.2woody6.

For the unstable distribution (sid) this problem has already been fixed.

We recommend that you upgrade your mc packages.

Upgrade Instructions
- --------------------

wget url
        will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get upgrade
        will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.

Debian GNU/Linux 3.0 alias woody
- --------------------------------

  Source archives:
      Size/MD5 checksum:      798 8e99dd740d8ffae2c41a90a6b116f229
      Size/MD5 checksum:    52176 73bc0707bc6bda5e3ba6066985dc774e
      Size/MD5 checksum:  4850321 82772e729bb2ecfe486a6c219ebab09f

  Alpha architecture:
      Size/MD5 checksum:  1186538 9239cbf4199a6544b3ca6332fd52db6f
      Size/MD5 checksum:   562996 72dbc715e7a7283e11e29fea64552f30
      Size/MD5 checksum:  1351898 63a8e1afcbba209db727d92d4955a8c9

  ARM architecture:
      Size/MD5 checksum:  1028408 8826cb0c5a44b5af496dfeba6d607d55
      Size/MD5 checksum:   480688 f6a09cce37d13577e92b373b75cc574c
      Size/MD5 checksum:  1352032 5dfd20bcf483f407c6731773070c87c3

  Intel IA-32 architecture:
      Size/MD5 checksum:   994490 459f7317ab45b42d003116efacfa196e
      Size/MD5 checksum:   455232 aab393d3264175b8575cfaf66220f753
      Size/MD5 checksum:  1351810 e1471d6e5f49bcd92e12ca9a73b74c33

  Intel IA-64 architecture:
      Size/MD5 checksum:  1435522 a3a000b0de5e6fa4cafaaf58263e47f7
      Size/MD5 checksum:   689234 441e904cc527473e05b47b78d5c4bd2f
      Size/MD5 checksum:  1351796 3e61ead9025a69305e554d63d7abf636

  HP Precision architecture:
      Size/MD5 checksum:  1144534 4c2c57ec173ceed338bc9e44c882f670
      Size/MD5 checksum:   541246 2dbf858ac3c53d54baccca0ca3d04031
      Size/MD5 checksum:  1352288 cea79758caf2b6f33f989614d924c965

  Motorola 680x0 architecture:
      Size/MD5 checksum:   957858 d7028898ea3a35f85f78a7f087e694b2
      Size/MD5 checksum:   437062 cd05897db0003c22f7bb18aecd1eec27
      Size/MD5 checksum:  1352326 367211fbc6fa342d715416b958ec07b1

  Big endian MIPS architecture:
      Size/MD5 checksum:  1087190 3216349530cf0a9b2b73902084fea281
      Size/MD5 checksum:   536944 281b9d6b996d040e2664355571bd0c7a
      Size/MD5 checksum:  1352256 1ca47ba59015ff24fc0d324db184de31

  Little endian MIPS architecture:
      Size/MD5 checksum:  1081322 02bdddc905c6d80ebcc17b746a5f47b7
      Size/MD5 checksum:   535794 c59f3a0071d2c751a1f5f320fd03c932
      Size/MD5 checksum:  1352084 5ad918e829a9a31725de8dd687d7a742

  PowerPC architecture:
      Size/MD5 checksum:  1043086 6d6cb89274647fb8eb0a8f8d089dd7bd
      Size/MD5 checksum:   490208 716ce6d995b02f20452afaf96185fa59
      Size/MD5 checksum:  1352208 3fe36051681012611989f15301b13e1a

  IBM S/390 architecture:
      Size/MD5 checksum:  1030020 7d9b20ece50fd41ee2de10cb79826bc3
      Size/MD5 checksum:   479574 5be9988d0c5fb89e1061fa06d5256327
      Size/MD5 checksum:  1352116 bdcdd74197972f260d0aced37f324751

  Sun Sparc architecture:
      Size/MD5 checksum:  1029098 aadd9cfef3188c17de809a51c2c11037
      Size/MD5 checksum:   483630 176d603f21a2cc5253facafc5d86dcb2
      Size/MD5 checksum:  1352214 5dfcd273857ed952157083c4d33fbcba

  These files will probably be moved into the stable distribution on
  its next update.

- ---------------------------------------------------------------------------------
For apt-get: deb stable/updates main
For dpkg-ftp: dists/stable/updates/main
Mailing list:
Package info: `apt-cache show <pkg>' and<pkg>

Version: GnuPG v1.4.0 (GNU/Linux)



- 漏洞信息

Midnight Commander insert_text() Function Local Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-03-29 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Midnight Commander Insert_Text Buffer Overflow Vulnerability
Boundary Condition Error 12928
No Yes
2005-03-29 12:00:00 2009-07-12 11:56:00
Discovery is credited to Andrew V. Samoilov.

- 受影响的程序版本

RedHat Enterprise Linux WS 2.1 IA64
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 2.1 IA64
RedHat Enterprise Linux ES 2.1
RedHat Advanced Workstation for the Itanium Processor 2.1 IA64
RedHat Advanced Workstation for the Itanium Processor 2.1
Red Hat Enterprise Linux AS 2.1 IA64
Red Hat Enterprise Linux AS 2.1
Midnight Commander Midnight Commander 4.5.55
+ Conectiva Linux 9.0
+ Conectiva Linux 8.0
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ Mandriva Linux Mandrake 9.2 amd64
+ Mandriva Linux Mandrake 9.2
+ Mandriva Linux Mandrake 9.1 ppc
+ Mandriva Linux Mandrake 9.1
+ Mandriva Linux Mandrake 9.0
+ S.u.S.E. Linux 8.1
+ S.u.S.E. Linux 8.0
Midnight Commander Midnight Commander 4.5.54
+ Turbolinux Turbolinux Server 8.0
+ Turbolinux Turbolinux Server 7.0
+ Turbolinux Turbolinux Workstation 8.0
+ Turbolinux Turbolinux Workstation 7.0
Midnight Commander Midnight Commander 4.5.52
Midnight Commander Midnight Commander 4.5.51
+ SCO OpenLinux Server 3.1.1
+ SCO OpenLinux Workstation 3.1.1
Midnight Commander Midnight Commander 4.5.50
Midnight Commander Midnight Commander 4.5.49
Midnight Commander Midnight Commander 4.5.48
Midnight Commander Midnight Commander 4.5.47
Midnight Commander Midnight Commander 4.5.46
Midnight Commander Midnight Commander 4.5.45
Midnight Commander Midnight Commander 4.5.44
Midnight Commander Midnight Commander 4.5.43
Midnight Commander Midnight Commander 4.5.42
Midnight Commander Midnight Commander 4.5.41
Midnight Commander Midnight Commander 4.5.40

- 漏洞讨论

A buffer overflow vulnerability exists in Midnight Commander. The vulnerability is caused by insufficient bounds checking of external data supplied to the 'insert_text()' function.

This issue may allow local attackers to execute arbitrary code in the context of another user.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: &lt;;.

- 解决方案

Red Hat has released advisory RHSA-2005:512-08 and fixes to address this issue on Red Hat Linux Enterprise platforms. Customers who are affected by this issue are advised to apply the appropriate updates. Customers subscribed to the Red Hat Network may apply the appropriate fixes using the Red Hat Update Agent (up2date). Please see referenced advisory for additional information.

TurboLinux has released advisory TLSA-2005-46 to address this issue. Please see the attached advisory for further information on obtaining and applying fixes.

Debian has released advisory DSA 698-1 to address this issue. Please see the attached advisory for further information on obtaining and applying fixes.

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: <>.

Midnight Commander Midnight Commander 4.5.54

Midnight Commander Midnight Commander 4.5.55

- 相关参考